Package org.eclipse.cdt.core.parser.util

## Class ASTPrinter

- java.lang.Object
- - org.eclipse.cdt.core.parser.util.ASTPrinter

    public class ASTPrinter
    extends Object

A utility that prints an AST to the console or any print stream, useful for debugging purposes.

Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Constructor Summary

Constructors
`ASTPrinter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `print​(IASTNode root)` Prints the AST to stdout.
`static boolean` `print​(IASTNode node, PrintStream out)` Prints the AST to the given PrintStream.
`static boolean` `printProblems​(IASTNode root)` Prints problem nodes in the AST to stdout.
`static boolean` `printProblems​(IASTNode node, PrintStream out)` Prints problem nodes in the AST to the given printstream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTPrinter

    public ASTPrinter()

### Method Detail

#### print

    public static boolean print​(IASTNode node,
                                PrintStream out)

Prints the AST to the given PrintStream.

Returns:
  Always returns false, boolean return type allows this method to be called from a conditional breakpoint during debugging.

#### print

    public static boolean print​(IASTNode root)

Prints the AST to stdout.

Returns:
  Always returns false, boolean return type allows this method to be called from a conditional breakpoint during debugging.

#### printProblems

    public static boolean printProblems​(IASTNode node,
                                        PrintStream out)

Prints problem nodes in the AST to the given printstream.

Returns:
  Always returns false, boolean return type allows this method to be called from a conditional breakpoint during debugging.

#### printProblems

    public static boolean printProblems​(IASTNode root)

Prints problem nodes in the AST to stdout.

Returns:
  Always returns false, boolean return type allows this method to be called from a conditional breakpoint during debugging.